XML-RPC-API2TXT(1)

NAME
xml-rpc-api2txt - Print out a description of an XML-RPC API as text

SYNOPSIS
xml-rpc-api2txt server-url

DESCRIPTION
xml-rpc-api2txt queries an XML-RPC server using the XML-RPC Instrospection API designed by Edd Dumbill. It then prints the results to standard output in a nicely formatted form, suitable for sending via e-mail.

You can find a list of supported XML-RPC server libraries (and patches for many others) at http://xmlrpc-c.sourceforge.net/hacks.php.

OPTIONS

server-url
    The name of the server to query. Try http://xmlrpc-c.sourceforge.net/cgi-bin/interop.cgi.

BUGS
xml-rpc-api2txt assumes that method descriptions are ASCII text, not HTML as specified in the standard. (In practice, both conventions are often seen.)

SEE ALSO
xmlrpc-c(7), xml-rpc-api2cpp(1).

This program is part of xmlrpc-c.

AUTHOR
This manual page was written by Eric Kidd <eric.kidd@pobox.com>. It may be distributed under the same terms as the rest of xmlrpc-c.